| Fast CDR Version 2.3.6 Fast CDR

Loading...
Searching...
No Matches
eprosima::fastcdr::exception Namespace Reference

## Classes

class | BadOptionalAccessException
| This class is thrown as an exception when accessing the value of a null optional. More...
class | BadParamException
| This class is thrown as an exception when an invalid parameter is being serialized. More...
class | Exception
| This abstract class is used to create exceptions. More...
class | LockedExternalAccessException
| This class is thrown as an exception when accessing to set the value of a locked external. More...
class | NotEnoughMemoryException
| This class is thrown as an exception when the buffer's internal memory reachs its size limit. More...